import DS from "ember-data";
import ENV from "../config/environment";
import Ember from "ember";
import jQuery from "jquery";

export default DS.RESTAdapter.extend({
	host: ENV.APP.API_HOSTNAME,
	namespace: ENV.APP.API_BASE_URL,
	queryRecord: function(store, typeClass, query) {
		var url = this.buildURL(typeClass.modelName, query.id);

		return new Ember.RSVP.Promise(function(resolve, reject) {
			jQuery.getJSON(url, query).then(function(data) {
				Ember.run(null, resolve, data);
			}, function(jqXHR) {
				jqXHR.then = null; // tame jQuery's ill mannered promises
				Ember.run(null, reject, jqXHR);
			});
		});
	}
});
