import Ember from 'ember';
import Resolver from 'ember/resolver';
import loadInitializers from 'ember/load-initializers';
import config from './config/environment';

var App;

Ember.MODEL_FACTORY_INJECTIONS = true;

App = Ember.Application.extend({
	modulePrefix: config.modulePrefix,
	podModulePrefix: config.podModulePrefix,
	Resolver: Resolver,

	needs: ["user_session"],
	session: Ember.computed.alias("controllers.user_session"),
	actions: {
		logout: function () {
			var loginCtrl = this.controllerFor('login');

			loginCtrl.set('token', null);

			this.set('loggedIn', false);

			this.transitionToRoute('login');
		}
	}
});

loadInitializers(App, config.modulePrefix);


export default App;
