import Ember from 'ember';

export default Ember.TextField.extend({
	type: 'date',
	hasFocus: false,
	init: function (){
		this._super();
		this.updateValue();
	},
	updateDate: function (){
		var ms;
		if (ms=Date.parse(this.get('value'))){
			this.set('date', new Date(ms));
		}
	}.observes('value'),
	updateValue: function (){
		if (this.get('hasFocus')){
			return;
		}
		var date=this.get('date');
		if (date instanceof Date){
			this.set('value', date.toISOString().substring(0,10))
		}
	}.observes('date'),
	focusIn: function (){
		this.set('hasFocus', true);
	},
	focusOut: function (){
		this.set('hasFocus', false);
		this.updateValue()
	}
});
