import Ember from "ember";
import Utils from 'Dashboard/utils/utils';

export default Ember.Component.extend({
	tagName:'select',
	attributeBindings:['disabled'],
	i18n: Ember.inject.service(),
	content: null,
	selectedValue: null,
	prompt: null,
	enabled: true,
	disabled: function (){
		var enabled=this.get('enabled');
		return enabled===false || enabled===null || enabled===undefined;
	}.property('enabled'),

	hasPrompt: function (){
		var prompt=this.get('prompt');
		return prompt!==null && prompt!==undefined;
	}.property("prompt"),

	list: function (){
		var content=this.get('content');
		if (content) {
			var current=this.get('i18n.locale');
			return content.map(function (e) {
				var elementLabel = e.get("name");
				var text="";
				if (elementLabel && elementLabel.getLanguage) {
					text = elementLabel.getLanguage(current).value;
				} else {
					text = elementLabel;
				}
				//console.log(text);
				return Utils.createElement(e.get('id'), text);
			});
		}
		return []
	}.property('content.@each.name','label'),

	didInitAttrs(attrs) {
		this._super(...arguments);
		var content = this.get('content');

		if (!content) {
			this.set('content', []);
		}
	},

	change(args) {
		const id=args.currentTarget.value;
		const selectedValue = this.get('content').find( function (e){
			return String(e.get('id'))===id;
		});

		this.set('selectedValue', selectedValue);
		this.sendAction('action', selectedValue);
	}

});