import Ember from 'ember';

export default Ember.Component.extend({
	classNames: ["tag"],
	classNameBindings:["color"],
	attributeBindings: ["label:data-content", 'position:data-placement'],
	tagName: "span",
	position: "top",
	i18n: Ember.inject.service(),
	color: function (){
		var level=this.get('warning.level');
		switch (level){
			case 0:
					return "bg-info";
				break;
			case 1:
					return "bg-success";
				break;
			case 2:
					return "bg-warning";
				break;
			case 3:
					return "bg-danger";
				break;
			case 4:
					return "bg-critical";
				break;
		}
	}.property('warning.code'),
	label: function (){
		var i18n=this.get("i18n");
		var name=this.get("warning.name");
		if (name){
			var lang_name=name.getLanguage(i18n.locale);
			if (lang_name){
				return lang_name.value;
			}
		}
		return i18n.t("bd-warning-tag.errors.not-found-language");
	}.property("warning.name", "i18n.locale"),
	mouseEnter: function (){
		this.$().popover('show');
	},
	mouseLeave: function (){
		this.$().popover('hide');
	},
	actions: {
		close(){
			this.sendAction('removeAction', this.get('warning'))
		}
	}
});
