import Ember from 'ember';
import PageController from 'Dashboard/controllers/page';

export default PageController.extend({
	i18n: Ember.inject.service(),
	pageSize:50,
	actions: {
		addCategory: function (){
			var newCategory=this.store.createRecord('attachment-category',{});
			newCategory.set('isEditing', true);
			this.get('model').insertAt(0,newCategory);
		},
		saveCategory: function (category){
			var promise=category.save();
			promise.then(function (){
				category.set('isEditing', false);
			});
			return promise;
		},
		cancelEditCategory: function (category){
			if (category.get('id')==null){
				this.get('model').removeRecord(category);
			}
			category.rollback();
			category.set('isEditing', false);
		},
		editCategory: function (category){
			category.set('isEditing', true);
		},
		deleteCategory:function (category){
			var i18n=this.get("i18n");
			if (confirm(i18n.t('category-attachment.confirms.delete',{"category-name":category.get('name')}))){
				category.destroyRecord()
			}
		}
	}
});
