import Ember from 'ember';
import AttachmentAbstractController from './attachment/form'

export default AttachmentAbstractController.extend({
	categoryObserves:function (){
		var cat=this.get('model.category');
		this.set('category', cat);
	}.observes('model.category'),
	nameObserves: function (){
		this.set('name', this.get('model.name'));
	}.observes('model.name'),
	descriptionObserves: function (){
		this.set('description', this.get('model.description'));
	}.observes('model.description'),
	actions: {
		save: function (){
			var model=this.get('model');
			model.set('category', this.get('category'));
			model.set('name', this.get('name'));
			model.set('description', this.get('description'));
			if (this.get('fileElement')!=null){
				model.set('file', this.get('fileRaw'));
			}
			var promise=model.save();
			var _this=this;
			promise.then(function (){
				_this.transitionToRoute('attachments');
				//_this.set('fileElement', null);
				_this.set('fileRaw', "");
				_this.set('file', "");
			});
			return promise;
		},
		discard: function (){
			this.model.rollback();
			this.model.set('category', this.get('category'));
			this.transitionToRoute('attachments');
		}
	}
});
