import Ember from 'ember';
import AttachmentFormController from './form'

export default AttachmentFormController.extend({
	needs:['attachments'],
	name: "",
	description: "",
	isCreating: false,
	hasErrors: false,
	errorDescription: "",
	actions: {
		save: function (){
			if (!this.checkErrors(true)) {
				var model_category = this.get('category');
				var description = this.get('description');
				var name = this.get('name');
				var dataRaw=this.get('fileRaw');
				var newAttachment = this.store.createRecord('attachment', {
					category: model_category,
					description: description,
					name: name,
					file: dataRaw
				});
				var promise = newAttachment.save();
				var _this = this;
				promise.then(function (e) {
					_this.set('name', '');
					_this.set('description', '');
					_this.set('idCategory', '');
					_this.set('fileElement', null);
					_this.set('isCreating', false);
					_this.set('fileRaw', "");
					_this.get('controllers.attachments.model').insertAt(0, e);
				}, function (error){
					_this.set('errorDescription', error.responseJSON.error.description);
					_this.set('hasErrors', true);
				});
				this.set('isCreating', true);
				return promise;
			}
		},
		resubmit: function (){
			this.set('hasErrors', false);
			this.set('isCreating', false);
		},
		cancel: function (){
			this.set('name','');
			this.set('description','');
			this.set('idCategory', null);
			this.set('file', null);
			this.set('isCreating', false);
			this.set('hasErrors', false);
		}
	}
});
