import Ember from 'ember';
import { translationMacro as t } from "ember-i18n";

export default Ember.Controller.extend({
	idCategory:null,
	idAttachment: null,
	i18n:Ember.inject.service(),

	selectAttachmentPrompt: t("attachment.widget.select-attachment"),
	selectCategoryPrompt: t("select-category.select"),

	selectedAttachment: function (){
		var idAttachment=this.get('idAttachment');
		if (idAttachment!=null){
			return this.get('listAttachments').findBy('id', idAttachment);
		}
		return null;
	}.property('idAttachment'),
	isSelectedCategory: function (){
		var idCategory=this.get('idCategory');
		return idCategory!=null && idCategory!=""
	}.property('idCategory'),
	isSelectedAttachment: function (){
		var idAttachment=this.get('idAttachment');
		return idAttachment!=null && idAttachment!=""
	}.property('idAttachment'),
	listCategories: function (){
		return this.store.query('attachment-category', {});
	}.property(),
	listAttachments: function (){
		var idCategory=this.get('idCategory');
		if (idCategory!=null) {
			return this.store.query('attachment', {category:idCategory})
		}
	}.property('idCategory'),
	listAttachmentsFiltered: function (){
		var attachments=this.get('model');
		return this.get('listAttachments').filter(function (attachment){
			return !attachments.contains(attachment);
		});//*/

	}.property('listAttachments.content', 'model'),
	actions: {
		addAttachment: function (){
			var selectedAttachment=this.get('selectedAttachment');
			this.get('model').addObject(selectedAttachment)
		},
		removeAttachment: function (attachment){
			this.get('model').removeObject(attachment);
		},
		clearAttachments: function (){
			this.get('model').clear();
		}
	}
});
