import Ember from 'ember';
import PageController from 'Dashboard/controllers/page';
import SimpleTable from 'Dashboard/mixins/simple-table';

export default PageController.extend({
	nearPagesList: function (){
		return this.listNearPages(5);
	}.property('page', 'numPages'),
	checkData: function (blockJump){
		var i18n=this.get('i18n');
		var name = blockJump.get('name');
		var errors = [];
		if (name === undefined || name === null || name.length < 3){
			errors.push(i18n.t('global.errors.field-required', {"field-name": i18n.t('global.name')}));
		}
		if (errors.length>0){
			blockJump.set('message', {
				show: true,
				text: i18n.t('global.errors.check-and-solve')+"\n"+errors.join("\n"),
				type: "error",
				timer: null
			});
		} else {
			return blockJump.save();
		}
	},
	actions: {
		add: function () {
			var list = this.get('list');
			var block_jump = this.store.createRecord('block-jump', {});
			list.insertAt(0, block_jump);
			this.send('edit', block_jump);
		}
	}
}, SimpleTable);
