import Ember from 'ember';
import I18n from 'ember-i18n';
export default Ember.Controller.extend({
	i18n: Ember.inject.service(),
	selectSessionCategoryPrompt: I18n.translationMacro('block-session.edit.select-category-session'),
	selectSessionPrompt: I18n.translationMacro('block-session.edit.select-session'),
	category: function (){
		var session=this.get('model.session');
		if (session){
			return session.get('folder');
		}
		return null;
	}.property('model.session'),
	listSessionCategories: function (){
		return this.store.query('session-models-folder', {});
	}.property(),
	listSessions: function (){
		var category=this.get('category');
		if (category){
			return this.store.query('session-model', {category:category.get('id')});
		}
		return []
	}.property('category')

});
