import Ember from 'ember';
import I18n from 'ember-i18n';

export default Ember.Controller.extend({
	needs: ["language"],
	language_list: Ember.computed.alias('controllers.language.list'),

	selectLanguagePrompt: I18n.translationMacro('global.lang.select'),

	i18n:Ember.inject.service(),

	idLanguage1: function (){
		var content=this.get('model.content');
		if (content!=undefined){
			return content[0].lang;
		}
		return null;
	}.property('model.content'),
	hasLanguage1: function (){
		return this.get('idLanguage1')!=null;
	}.property('idLanguage1'),
	language1: function (){
		var l=this.get('idLanguage1');
		return this.get('language_list').find(function (e){
			return e.id==l;
		});
	}.property('language1'),
	content1: function (){
		var content=this.get('model.content');
		var language=this.get('idLanguage1');
		if (language!=null) {
			if (content==undefined){
				content=[];
				this.set('model.content',content);
			}

			var ret = content.find(function (e) {
				return e.lang == language;
			});
			if (ret == null) {
				ret = Ember.create({lang: language, value: ''});
				content.addObject(ret);
			}
			return ret;
		} else{
			return Ember.create({});
		}
	}.property('idLanguage1', 'model.content'),

	idLanguage2: null,
	language2: function (){

	}.property('idLanguage2'),
	hasLanguage2: function (){
		return this.get('idLanguage2')!=null;
	}.property('idLanguage2'),
	content2: function (){
		var content=this.get('model.content');
		var language=this.get('idLanguage2');
		if (language!=null) {

			var ret = content.find(function (e) {
				return e.lang == language;
			});
			if (ret == null) {
				ret = Ember.create({lang: language, value: ''});
				content.addObject(ret);
			}
			return ret;
		} else{
			return Ember.create({});
		}
	}.property('idLanguage2', 'model.content'),
	saveAction: function (){
		var name=this.get('model.name');
		var content=this.get('model.content');
		var error_lng=[];
		// this.get('model.category')!=null && name!=null && name.length>3 && content!=null && content.length>0
		if (this.get('model.category')==null){
			error_lng.addObject("A category is required");
		}
		if (name==null || name.length<3){
			error_lng.addObject("A name is required");
		}
		if (content==null || content.length==0 || content.get('firstObject').value.length<3){
			error_lng.addObject("Please put contents on the template")
		}
		if (error_lng.length==0) {
			var model = this.get('model');
			return this.model.save();
		} else {
			alert("Fields required:\n *"+error_lng.join("\n *"));
		}
		return null;
	},
	actions: {
		setCategory: function (category){
			this.set('model.category', category);
		},
		save: function (){
			this.saveAction()
		},
		saveAndBack: function (){
			var promise=this.saveAction();
			if (promise!=null) {
				var _this = this;
				promise.then(function () {
					_this.transitionToRoute('comment-templates');
				});
			}
		},
		cancel: function (){
			this.get('model').rollback();
			this.transitionToRoute("comment-templates");
		}
	}
});
