import Ember from 'ember';
import I18n from 'ember-i18n';
import Utils from 'Dashboard/utils/utils';

export default Ember.Controller.extend({
	needs:["language", "user_session"],
	i18n: Ember.inject.service(),
	hasWritePermissions: function (){
		return Utils.hasWrite(this.get('controllers.user_session.session'), 'comment_template')
	}.property('controllers.user_session.session'),
	languageList:Ember.computed.alias("controllers.language.list"),
	selectCategoryPrompt:I18n.translationMacro("comment-template.widget.select-category"),
	selectTemplatePrompt:I18n.translationMacro("comment-template.widget.select-template"),
	category:null,
	template:null,
	isNotSelectedTemplate: function (){
		return this.get('template.id')==null;
	}.property('template.id'),
	isSelectedTemplate: function (){
		return !this.get('isNotSelectedTemplate');
	}.property('isNotSelectedTemplate'),
	listCategories: function (){
		return this.store.query('comment-template-category', {})
	}.property(),
	listTemplates: function (){
		return this.store.query('comment-template', {});
	}.property(),
	listFilterTemplates: function (){
		var idCategory=this.get('category.id');
		var listTemplates=this.get('listTemplates');
		if (idCategory==null){
			return listTemplates;
		} else {
			return listTemplates.filter(function (e){
				return e.get('category.id')==idCategory;
			});
		}
	}.property('listTemplates.content', 'category.id'),
	language: function (){
		var languages=this.get('languageList');
		var template=this.get('template');
		var lang=template.get('content.firstObject.lang');
		return languages.find(function (e){
			return e.id==lang;
		});
	}.property( "languageList.content", "template"),
	contentTemplate: function (){
		var template=this.get('template');
		var idLanguage=this.get('language.id');
		if (idLanguage==null){
			var firstLanguage=template.get('content.firstObject');
			if (firstLanguage!=null){
				this.set('idLanguage', firstLanguage.lang);
				return firstLanguage.value;
			}
		}
		var r= template.get('content').find(function (e){
			return e.lang==idLanguage;
		});
		if (r!=null){
			return r.value;
		}
		return "";
	}.property('template', 'language.id'),
	actions: {
		setComment: function (){
			this.get('model').set('answer', this.get('contentTemplate'))
		}
	}
});
