import Ember from 'ember';
import Utils from 'Dashboard/utils/utils';

export default Ember.Controller.extend({
	needs:['sessions', 'student'],
	sessions: Ember.computed.alias("controllers.sessions.model"),
	student: Ember.computed.alias("controllers.student.model"),
	listComments: function (){
		var query={};
		var start_ts=new Date().getTime()-this.get('numDays')*24*3600*1000;
		query.start=Utils.dbFormatDay(new Date(start_ts));
		query.student=this.get('student').get('id');
		return this.store.query('comment', query)
	}.property("numDays", "student.id"),
	calendar: function (){
		var numDays=this.get('numDays');
		var sessions=this.get('sessions');
		var weeks=[];
		var today=new Date();
		/*
		 today.setMonth(11,25);
		 today.setYear(2013);
		 //*/
		var d=new Date(today.getTime()-numDays*24*3600*1000);
		var week=[];
		var i=0;
		var isFirst=false;
		for (i=0; i< d.getDay(); i++){
			week.addObject({isLast:false, isFirst:false, isLastDay: false, hasSessions: false, comment:null})
		}

		for (i=0; i<=numDays; i++){
			if (d.getDay()==0 && week.length>0){
				weeks.addObject(week);
				week=[];
				isFirst=false;
			}

			if (d.getDate()==1) {
				for (var j = 0; j < week.length; j++) {
					//console.log(week[j]);
					week[j].isLast = true;
					if (j+1==week.length){
						week[j].isLastDay=true;
					}
				}
				isFirst = true;
			}
			var hasSessions=false;
			//var hasComments=false;
			var comment=null;

			var dayText=Utils.compareFormatDay(d);
			sessions.forEach(function (e){
				var completed_day= e.get("completed_time");
				if (completed_day!=null && Utils.compareFormatDay(completed_day)==dayText){
					hasSessions=true;
				}
			});
			/*if (!hasSessions){
			 this.get('listComments').forEach(function (comment){
			 var day=comment.get("day");
			 if (day!=null && Utils.compareFormatDay(day)==dayText){
			 hasComments=true;
			 }
			 });
			 }//*/

			comment=this.get('listComments').find(function (comment){
				var day=comment.get("day");
				return day!=null && Utils.compareFormatDay(day)==dayText;
			});

			var newObject={date: d, isLast:false, isFirst:isFirst, isLastDay: false, hasSessions: hasSessions, comment:comment};
			week.addObject(newObject);
			d=new Date(d.getTime()+24*3600*1000);
		}
		while (week.length<7){
			week.addObject({isLast:false, isFirst:isFirst, isLastDay: false, hasSessions: false, comment:null})
		}
		weeks.addObject(week);
		return {weeks:weeks}
	}.property('numDays', 'sessions.content', 'listComments.content'),
	setSessionRowHover: function (day, value){
		var sessionsController=this.get('controllers.sessions.list');
		var dayText=Utils.compareFormatDay(day);
		sessionsController.forEach(function (e){
			var completed=e.get('completed_time');

			if (completed!=null && Utils.compareFormatDay(completed)==dayText){
				e.set('isCustomHover', value);
			}

		})
	},
	numDays: 15,
	actions:{
		addDays: function (){
			var numDays=this.get('numDays');
			this.set('numDays', numDays+15);
		},
		showComment: function (comment){
			//var dayText=Utils.dbFormatDay(day);
			/*
			 var listComment=this.get('listComments');

			 listcomment.forEach(function (comment){
			 var _this=this;
			 var dayComment=Utils.compareFormatDay(comment.get('day'));
			 if (dayComment==dayText){

			 }
			 });*/
			this.transitionToRoute('comment',comment.comment.id);
		},
		showMouseEnter: function (d){
			//console.log("Enter:"+d)
			if (d.date) {
				this.setSessionRowHover(d.date, true);
			}
		},
		showMouseLeave: function (d){
			//console.log("Leave:"+d)
			if (d.date) {
				this.setSessionRowHover(d.date, false);
			}
		}
	}
});
