import Ember from 'ember';
import ENV from '../config/environment'
import { translationMacro as t } from "ember-i18n";
import Utils from '../utils/utils'

export default Ember.Controller.extend({
	needs: ['user_session'],
	user: ENV.DEFAULT_USER,
	password: ENV.DEFAULT_PASSWORD,
	i18n: Ember.inject.service(),
	userText: t('login.user'),
	passwordText: t('login.password'),
	message: {show: false, text:''},
	remember:false,
	previousTransition: null,

	loggedFunction: function (){
		// Log the user in, then reattempt previous transition if it exists.
		var previousTransition = this.get('previousTransition');
		if (previousTransition) {
			this.set('previousTransition', null);
			var _this=this;
			var retry=previousTransition.retry();
			retry.catch(function (){
				_this.transitionToRoute('navigation.index');
			});
		} else {
			// Default back to homepage
			this.transitionToRoute('navigation.index');
		}
		return "ok";
	},
	actions:{
		login: function(){
			var user_session=this.get('controllers.user_session');
			var user=this.get('user');
			var password=this.get('password');
			var remember=this.get('remember');
			var _this=this;
			var logged=function (e){ _this.loggedFunction(e)};
			//var error=function (e){ _this.errorLogin(e)};
			user_session.login(user, password, remember, logged, function (err){
				_this.set('message', {show:true, text: 'There is some error on the login'})
			});
		}
	}
});
