import FormController from './pattern-config/form'
import Utils from 'Dashboard/utils/utils';

export default FormController.extend({
	levelEditObserver: function (){
		var model= this.get('model');
		var level=model.get('level');
		model.set('level_edit', Utils.createElement(level, level));
	}.observes('model.level'),
	blockEditObserver: function (){
		var model=this.get('model');
		model.set('block_edit', model.get('block'));
	}.observes('model.block'),
	history: function (){
		return this.store.query('pattern-history', {older: this.get('model.older.id'), pattern:this.get('model.pattern.id'), count:10});
	}.property("model.id"),
	actions : {
		saveChanges: function (){
			var i18n=this.get('i18n');
			var config=this.checkData(this.get('model'));
			if (config){
				config.save().then(function (e){
					this.set('message', {
						show:true,
						type:"info",
						timer: 10,
						text: i18n.t('global.messages.save-ok')
					});
				}.bind(this));
			}
		},
		deleteConfiguration: function (){
			var i18n=this.get('i18n');
			if (confirm(i18n.t('pattern-config.confirm.delete'))){
				this.get('model').destroyRecord().then(function (e){
					this.transitionToRoute('sessions');
				}.bind(this));
			}
		}
	}
});
