import Ember from 'ember';
import I18n from 'ember-i18n';

export default Ember.Controller.extend({
	i18n: Ember.inject.service(),
	modelName: "",
	prompt:I18n.translationMacro('select-category.select'),
	init: function (){
		this.loadCategories();
	},
	loadCategories: function (){
		var modelName=this.get('modelName');
		var promise=this.store.query(modelName, {});
		promise.then(function (data){
			this.set('listCategories', data)
		}.bind(this));
		return promise;
	},
	listCategories: [],
	categoryName: "",
	isAdding: false,
	isNotSaving: true,
	actions: {
		saveCategory: function (){
			var modelName=this.get('modelName');
			var name=this.get('categoryName');
			if (name!=null && name.length>3){
				var newCategory=this.store.createRecord(modelName, {
					name:name
				});
				var _this=this;
				var promise=newCategory.save();
				promise.then(function (e){
					_this.set('isAdding', false);
					_this.set('isNotSaving',true);
					//_this.set('idCategory', e.get('id'));
					//_this.get('listCategories').addObject(e);
					_this.loadCategories().then(function (){
						_this.set('category', e);
					});
				});
				this.set('isNotSaving',false);
				return promise;
			} else {
				alert("Category name is too short");
			}
		},
		cancelNewCategory: function(){
			this.set('categoryName', '');
			this.set('isAdding', false);
		},
		addCategory: function (){
			this.set('isAdding',true);
		}
	}
});
