import Ember from 'ember';
import I18n from 'ember-i18n';

export default Ember.Controller.extend({
	i18n: Ember.inject.service(),

	selectCenterPrompt: I18n.translationMacro('group.select.select-center'),
	selectGroupPrompt: I18n.translationMacro('group.select.select-group'),

	groupId:0,
	schoolsList: [],
	groupsList:[],

	init: function (){
		var listSchools=this.store.query('school', {});
		listSchools.then(function (promise){
			var data=[];
			promise.forEach(function (e){ data.push(e)});
			this.set('schoolsList', data);
		}.bind(this));
	},

	isSelectedSchool: function (){
		var schoolId=this.get('school.id');
		return schoolId!==0 && schoolId!==null && schoolId!==undefined
	}.property('school.id'),
	//group:Ember.computed.alias('model'),
	school: function (){
		var id=this.get('model.school.id');
		var data=this.get('schoolsList');
		if (id!==null && data!==undefined){
			return data.find(function (e){
				return e.get('id')==id;
			});
		} else {
			return null;
		}
	}.property('model.school.id', 'schoolsList'),
	group:function (){
		var id=this.get('model.id');
		var data=this.get('groupsList');
		if (id!==null && data!==undefined){
			var ret=data.find(function (e){
				return e.get('id')==id;
			});
			console.log(ret);
			return ret;
		} else {
			return null;
		}
	}.property('model.id', 'groupsList', 'school.id'),
	groupsListObserver: function (){
		var schoolId=this.get('school.id');
		console.log(schoolId);
		if (schoolId!==undefined && schoolId!==null && schoolId!==0) {
			this.store.query('group', {school: schoolId}).then(function (request){
				var data=[];
				request.forEach(function (e){
					data.push(e);
				});
				this.set('groupsList', data);
			}.bind(this));
		}
	}.observes('school.id'),
	actions: {
		changeSchool: function (school){
			this.set('school', school);
		},
		changeGroup: function (group){
			this.set('group', group);
		},
		save: function (){
			var group=this.get('group');
			if (group!==null && group!==undefined){
				this.send('setGroup', group);
			}
		}
	}
});
