import Ember from 'ember';

export default Ember.Controller.extend({
	student: Ember.inject.controller(),
	hasComments: function (){
		return this.get('model.comment.content')!=null;
	}.property('model.comment', 'model.comment.content'),
	actions: {
		createComment: function (){
			var student=this.get('student.model');
			if (!this.get('model.is_completed')){
				alert(Ember.I18n.t('session.errors.required-end-session'));
				return;
			}
			var day=this.get('model.completed_time');
			var model=this.store.createRecord('comment', {
				student: student,
				day: day
			});
			this.set('model.comment', model);
		}
	}
});
