import Ember from 'ember';
import { translationMacro as t } from "ember-i18n";


export default Ember.Controller.extend({
	offsetDay: 0,
	folder: null,
	filterText: "",
	i18n: Ember.inject.service(),

	selectFolderPrompt: t('session.widget.folder-all'),
	selectModelPrompt: t('session.widget.select-model'),

	modelSession: null,

	folderList: function (){
		if (this.get('model.id')!=undefined){
			return this.store.query("session-models-folder", {school: this.get('model.id')})
		}
		return [];
	}.property('model.id'),

	modelSessionList: function (){
		if (this.get('model.id')!=undefined) {
			return this.store.query('session-model', {enabled: true, school: this.get('model.id')});
		}
		return []
	}.property('model.id'),

	filteredModelSessionList: function (){
		var ret=[];
		var list=this.get('modelSessionList');

		var filterText = this.get('filterText').toUpperCase();
		var folder = this.get('folder.id');
		var update = function (elem) {
			ret.addObject(elem);
		};

		if (folder != null) {
			if (filterText.length > 0) {
				update = function (elem) {
					if (elem.get('folder.id') == folder &&
							(elem.get('name').toUpperCase().indexOf(filterText) > -1 ||
							elem.get('description').toUpperCase().indexOf(filterText) > -1)){
						ret.addObject(elem);
					}
				}
			} else {
				update = function (elem) {
					//console.log("folder:" + elem.get('folder'));
					if (elem.get('folder.id') == folder){
						ret.addObject(elem);
					}
				}
			}
		} else if (filterText.length > 0) {
			update = function (elem) {
				//console.log("name: "+elem.get('name')+" description: "+elem.get('description'));
				//return elem.name!=undefined && elem.description!=undefined &&
				if ((elem.get('name').indexOf(filterText) > -1 || elem.get('description').indexOf(filterText) > -1)){
					ret.addObject(elem);
				}
			}
		}
		list.forEach(update);

		if (ret.length==1){
			this.set('modelSessionId',ret[0].get('id'));
		}
		return ret;
	}.property('modelSessionList.content', 'folder.id','filterText'),

	dayToCreate: function (){
		var d=new Date();
		return new Date(d.getTime()+this.offsetDay*3600*24*1000)
	}.property("offsetDay"),
	isToday: function (){
		return this.offsetDay<=0
	}.property("offsetDay"),
	actions:{
		previous:function (){
			var offsetDay=this.get('offsetDay');
			this.set('offsetDay', offsetDay-1)
		},
		next:function (){
			var offsetDay=this.get('offsetDay');
			this.set('offsetDay', offsetDay+1)
		}
	}
});
