import PageController from '../page'
import Utils from '../../utils/utils'

export default PageController.extend({
	queryParams:[ "school", "group"],
	userSession: Ember.inject.controller(),
	hasStudentWrite: function (){
		return Utils.hasWrite(this.get('userSession.session'), 'student');
	}.property('userSession.session'),
	hasSessionWrite: function (){
		return Utils.hasWrite(this.get('userSession.session'), 'session');
	}.property("userSession.session"),
	school: null,
	group: null,
	order: ['firstName', 'secondName'],
	groupInstance: function (){
		var group=this.get('group');
		if (group!=undefined){
			return this.store.findRecord('group', group);
		}
		return null;
	}.property('group'),

	searchText:function (){
		return this.get('search');
	}.property("search"),
	nearPagesList: function (){
		return this.listNearPages(5);
	}.property('page', 'numPages')
});
