import Ember from 'ember';

export default Ember.Controller.extend({
	init: function (){
		$(document).ajaxSend(function (event, xhr, settings){
			if (localStorage.token!==undefined){
				return xhr.setRequestHeader('Token', localStorage.token);
			}
		});

		var _this=this;
		setInterval(function (){
			var session=_this.get('session');
			if (session!=null && session!=undefined && session.get('expiration')!=null) {
				var check = new Date((new Date()).getTime()+10*60*1000);
				if (check>session.get('expiration')){
					_this.renewSession()
				}
			}
		}, 10*1000);
	},
	session: function (){
		var _this=this;
		if (localStorage.token!=null){
			var ret_promise = new Ember.RSVP.Promise(function(resolve, reject){
				var check_promise=_this.store.find('api_session', localStorage.token);

				check_promise.then(function (d){
					resolve(d)
				}, function (e){
					if (localStorage.renew_token!=null && localStorage.remember=="true"){
						var renew_promise=_this.renewSession(localStorage.token, localStorage.renew_token);
						renew_promise.then(function (d){
							resolve(d)
						}, function (e){
							_this.set('session', null);
							reject(e)
						})
					} else {
						_this.set('session', null);
						reject(e)
					}
				});
			});

			return DS.PromiseObject.create({
				promise: ret_promise
			});

		} else {
			return null;
		}
	}.property(),

	renewSession: function (token, renew_token){
		if (token===undefined || renew_token===undefined){
			var session=this.get('session');
			token=session.get('id');
			renew_token= session.get('renew')
		}

		var renew=this.store.createRecord('api_session', {
			token:token,
			renew: renew_token
		});
		var promise=renew.save();
		var _this=this;
		promise.then(function (new_session){
			_this.set('session', new_session);
		}, function (){
			var errorPromise=_this.store.find('api_session', localStorage.token);
			errorPromise.then(function (data){
				_this.set('session', data);
			}, function (error){
				delete localStorage.token;
				_this.transitionToRoute('/login');
			});
		});
		return promise;
	},

	tokenChanged: function() {
		var session=this.get('session');
		if (session!=null && session.get('id')!=null && !session.get('isDeleted')){
			localStorage.token = session.get('id');
			localStorage.renew_token=session.get('renew');
		} else {
			localStorage.removeItem('token');
			localStorage.removeItem('renew_token');
		}

		//this.setPrefix()
	}.observes('session'),

	isLogged: function(){
		return this.get('session').id!=null;
	}.property('session'),
	login: function (user, password, remember, ok_callback, error_callback){
		var newSession=this.store.createRecord('api-session', {login:user, password:password});
		var _this=this;
		newSession.save().then(function (data){
			//console.log(data);
			localStorage.remember=remember;
			_this.set('session', data);
			ok_callback();
		}, function (error){
			console.log(error);
			error_callback(error);
		})
	},
	loggout: function (){
		/*var session=this.get('session');
		 session.delete();
		 localStorage.removeItem('token');
		 session.save();//*/
		this.store.find('api-session', this.get('session').get('id')).then(function (session) {
			session.deleteRecord();
			var deletePromise=session.save();
			deletePromise.then(function (){
				localStorage.removeItem('token');
			});
		});
	}
});
