import Ember from 'ember';
import I18n from 'ember-i18n';

export default Ember.Controller.extend({
	language: Ember.inject.controller(),
	cache: Ember.inject.service(),

	selectLanguagePrompt: I18n.translationMacro('global.lang.select'),

	i18n: Ember.inject.service(),
	message:{show:false, type:"error", timer:null},

	listLevels:Ember.computed.alias('cache.warningsLevels'),
	levelObject: function (){
		var level=this.get('model.level');
		return this.get('listLevels').find(function (e){
			return e.id==level;
		}, this.get('listLevels'));
	}.property('model.level', 'listLevels'),

	language1:null,
	hasLanguage1: function (){
		return this.get('language1')!==null;
	}.property('language1'),
	name1: function (){
		var name=this.get('model.name');
		var language=this.get('language1');
		if (name!=null && language!=null){
			return name.getLanguage(language.get('id'));
		}
		return null;
	}.property('language1', 'model.name'),

	language2:null,
	name2: function (){
		var name=this.get('model.name');
		var language=this.get('language2');
		if (name!=null && language!=null){
			return name.getLanguage(language.get('id'));
		}
		return null;
	}.property('language2', 'model.name'),
	hasLanguage2: function (){
		return this.get('language2')!==null;
	}.property('language2'),

	save: function(){
		var promise=null;
		var warning=this.get('model');
		var errors=[];
		var i18n=this.get('i18n');
		var level = this.get('levelObject');
		if (warning.get('code')===null || warning.get('code').length<2){
			errors.push(i18n.t('global.errors.field-required',{'field-name':i18n.t('warning.form.code')}));
		}
		if (warning.get('name').length===0){
			errors.push(i18n.t('global.errors.field-required', {'field-name': i18n.t('global.name')}));
		}
		if (level){
			warning.set('level', level.get('id'));
		}
		if (errors.length===0){
			promise=warning.save();
			return promise;
		} else {
			this.set('message', {
				show: true,
				text: i18n.t('global.errors.check-and-solve') + "\n" + errors.join("\n"),
				type: "error",
				timer: null
			});
			return null;
		}
	}
});
