import Ember from 'ember';
import SimpleTable from 'Dashboard/mixins/simple-table';

export default Ember.Controller.extend(SimpleTable, {
	sundayTitle: function (){ return moment().day(0).format('ddd');}.property(),
	mondayTitle: function (){ return moment().day(1).format('ddd');}.property(),
	tuesdayTitle: function (){ return moment().day(2).format('ddd');}.property(),
	wednesdayTitle: function (){ return moment().day(3).format('ddd');}.property(),
	thursdayTitle: function (){ return moment().day(4).format('ddd');}.property(),
	fridayTitle: function (){ return moment().day(5).format('ddd');}.property(),
	saturdayTitle: function (){ return moment().day(6).format('ddd');}.property(),
	checkData: function (workingDays){
		var errors=[];

		if (errors.length>0){
			defaultJump.set('message', {
				show:true,
				text: i18n.t('global.errors.check-and-solve')+"\n"+errors.join("\n"),
				type: "error",
				timer: null
			});
		} else {
			return workingDays.save();
		}
	},
	actions : {
		add: function (){
			var list= this.get('list');
			var workingDays=this.store.createRecord('days-work', {});
			list.insertAt(0, workingDays);
			this.send('edit', workingDays);
		}
	}
});
