import Ember from 'ember';
import Utils from '../utils/utils'
import I18n from "ember-i18n"

export function calculateAge(params/*, hash*/) {
	var birthDate=params[0];
	if (Utils.isValidDate(birthDate) && birthDate.getYear() != 0) {
		var today = new Date();
		var age = today.getFullYear() - birthDate.getFullYear();
		var m = today.getMonth() - birthDate.getMonth();
		if (m < 0 || (m === 0 && today.getDate() < birthDate.getDate())) {
			age--;
		}
		return age;
	} else {
		return I18n.translationMacro('global.errors.error-age');
	}
}

export default Ember.HTMLBars.makeBoundHelper(calculateAge);
