import Ember from 'ember';
import I18n from 'ember-i18n';

export default Ember.Mixin.create({
	language: Ember.inject.controller(),
	i18n: Ember.inject.service(),
	selectLanguagePrompt: I18n.translationMacro("global.lang.select"),
	searchText:function (){
		return this.get('search');
	}.property("search"),
	nearPagesList: function (){
		return this.listNearPages(5);
	}.property('page', 'numPages'),
	list: function (){
		var model=this.get('model');
		if (model === undefined){
			return [];
		}
		var ret = [];
		model.forEach(function (e){
			ret.addObject(e);
		});
		return ret;
	}.property('model'),
	actions: {
		create: function (element){
			var promise=this.checkData(element);
			if (promise!=null) {
				promise.then(function (data) {
					//var list=this.get('list');
					element.set('isEditing', false);
				}.bind(this));
			}
		},
		cancel: function (element){
			var list=this.get('list');
			var index=list.indexOf(element);
			element.destroy();
		},
		save: function (element){
			var promise=this.checkData(element);
			if (promise!=null){
				promise.then(function (){
					element.set('isEditing', false);
				})
			}
		},
		edit: function (element){
			element.set('isEditing', true);
			element.set('message', {show:false, timer:null, text:""});
		},
		discard: function (element){
			element.set('isEditing', false);
			element.rollbackAttributes();
		}
	}
});
