import DS from 'ember-data';
import Utils from '../utils/utils'

export default DS.Model.extend({
	name: DS.attr('string'),
	student: DS.belongsTo('student'),
	time: DS.attr('number'),
	creation_time: DS.attr('date'),
	completed_time: DS.attr('date'),
	tag: DS.attr('string'),
	version: DS.attr('number'),
	status_begin: DS.attr('number'),
	status_end:DS.attr('number'),
	difficulty:DS.attr('number'),
	comment: DS.belongsTo('comment', {async: true}),
	list_activities: DS.hasMany('activity', {async: true}),
	publish_date: DS.attr('date'),
	model_based: DS.belongsTo('session_model', {async: true}),
	all_mistakes: function (){
		return this.get('list_activities').reduce(function (ac, e){
			return ac+=e.get('mistakes');
		}, 0);
	}.property("list_activities.@each.mistakes"),
	sorted_list_activities: function (){
		return this.get('list_activities').sortBy('sort');
	}.property('list_activities.@each.sort'),
	is_completed: function (){
		return Utils.isValidDate(this.get('completed_time'))
	}.property('completed_time'),
	percentile: function (){
		console.log('retriving percentile!');
		var course=this.get('student').calculateCourse(this.get('completed_time'));
		var _this=this;
		//var type_percentile=this.get('model_based.type_percentile');j
		var model_based=this.get('model_based');
		var trimester=Utils.trimester(this.get('publish_date'));
		var percentiles=this.store.peekAll('percentile');
		var promise=new Ember.RSVP.Promise(function (resolver, rejection) {
			model_based.then(function (model_based) {
				var type_percentile=model_based.get('type_percentile');
				course.then(function (course) {
					if (course!=null) {
						//percentiles.then(function (percentiles) {
						//velocity.then(function (velocity){
						if (percentiles != null) {
							var percentile = percentiles.find(function (p) {
								var r = p.get('type') == type_percentile &&
										p.get('course.id') == course.get('id') &&
										p.get('semester') == trimester;
								if (r) {
									console.log(p.get('type') + " == " + type_percentile + " && " +
											p.get('course.id') + " == " + course.get('id') + " && " +
											p.get('semester') + " == " + trimester);
								}

								//console.log(r);
								return r;
							});
							if (percentile != null) {
								resolver(percentile);
							} else {
								console.log("Percentile not found:"+type_percentile+" "+course.get('id')+" "+trimester+"("+_this.get('id')+")");
								resolver("-2");
							}
						} else {
							resolver("-3");
						}
						//}, rejection);
						//}, rejection);
					} else {
						resolver("-4");
					}
				}, rejection);
			}, rejection);
		});
		return DS.PromiseObject.create({promise:promise});
	}.property('student.course', 'model_based.type_percentile', 'publish_date')
});
