import Ember from 'ember';
import config from './config/environment';

var Router = Ember.Router.extend({
	location: config.locationType
});

Router.map(function () {
	this.resource('loading', {path: '/loading'});
	this.resource('login', {path: '/login'});
	this.resource('navigation', {path: '/'}, function () {
		this.resource('schools', {path: '/school'});
		this.resource('school', {path: '/school/:school_id'}, function () {
			this.route('groups');
		});
		this.resource('group', {path: '/:group_id'});

		this.resource('students', {path: '/students'}, function () {
			this.resource('multiple-session-add', {path: '/session-add'});
			this.resource('multiple-pattern-config', {path: '/pattern-config'});
		});

		this.resource('student', {path: '/student/:student_id'}, function () {
			this.resource('student/summary', {path: '/summary'}, function () {
				this.resource('sessions', {path: '/session'}, function () {
					this.resource('session', {path: '/:session_id'}, function () {
						this.resource('activities', {path: '/activities'})
					});
					this.resource('comment', {path: '/comment/:comment_id'});
				});
				this.resource('pattern-config', {path: '/pattern/:config_id'}, function () {
				});
				this.resource('pattern-config/add', {path: '/pattern/add'});
			});

		});
		this.resource('student/add', {path: '/student/add'});

		this.resource('session-models', {path: '/session-models'});
		this.resource('session-model-add', {path: '/session-model/add'});
		this.resource('session-model-folders', {path: '/session-model/folders'});
		this.resource('session-model', {path: '/session-model/:session_id'}, function () {
			this.resource('activity-models', {path: '/activities'});
		});

		this.resource('percentiles', {path: '/percentiles'});

		this.resource('attachmentSpace', {path: '/attachment'}, function () {
			this.resource('attachments', {path: '/'});
			this.resource('attachment', {path: '/:attachment_id'});
			this.resource('attachment-categories', {path: '/category'});
			//this.resource('attachment-category', {path: '/category/:category_id'});
		});

		this.resource('comment-templates', {path: '/comment/templates'});
		this.resource('comment-template/add', {path: '/comment/template/add'});
		this.resource('comment-template', {path: '/comment/template/:id_template'});
		this.resource('comment-template-categories', {path: '/comment/template/category'});
		//this.resource('comment-template-category', {path: '/comment/template/category/:category_id'});

		this.resource('warnings', {path: '/warnings'});
		this.resource('warning/add', {path: '/warning/add'});
		this.resource('warning/index', {path: '/warning/:warning_id'});

		this.resource('patterns', {path: '/patterns'});
		this.resource('pattern', {path: '/pattern/:id_pattern'}, function () {
			this.resource('blocks', {path: '/blocks'});
			this.resource('block', {path: '/block/:id_block'}, function () {
				this.resource('block/sessions', {path: '/sessions'});
			})
		});

		this.resource('working-days', {path: '/working-days'});

		this.resource('block-jumps');
		this.resource('block-jump', {path: '/block-jump/:id_jump'}, function () {
		});

		this.resource('users', {path: '/user'});
		this.resource('user-add', {path: '/user/add'});
		this.resource('user', {path: '/user/:user_id'});

	});
});

export default Router;
