import Ember from 'ember';

export default Ember.Route.extend({
	queryParams: {
		page: { refreshModel: true },
		pageSize: { refreshModel:true },
		search: { refreshModel:true },
		order: { refreshModel: true}
	},
	filterQuery: function (params){
		var ret={offset:0, count:10};
		if (params.pageSize!=null){
			ret.count=params.pageSize
		}
		if (params.page!=null){
			ret.offset=params.page*ret.count;
		}
		if (params.search!=null && params.search!=''){
			ret.search=params.search;
		}
		if (params.order!=null){
			ret.order=params.order;
		}

		return ret
	},
	resetController: function (controller, isExiting, transition) {
		if (isExiting) {
			// isExiting would be false if only the route's model was changing
			controller.set('page', 0);
			controller.set('search', "");
			//controller.set('order', null);
		}
	}
});
