import Ember from 'ember';
import Utils from '../utils/utils';

export default Ember.Route.extend({
	goToLogin: function (previousTransition){
		var loginController = this.controllerFor('login');
		loginController.set('previousTransition', previousTransition);
		this.transitionTo('login');
	},
	beforeModel: function(transition) {

		var user_session=this.controllerFor('user_session');

		var session=user_session.get('session');
		if (session!=null) {
			var sessionPromise = Utils.ensurePromise(session);

			var _this = this;
			sessionPromise.then(function (session){
				if (session.get('isDeleted')) {
					_this.goToLogin(transition)
				}
			}, function () {
				_this.goToLogin(transition);
			});
			return sessionPromise;
		} else {
			this.goToLogin(transition);
		}
	}
});
