import PageRoute from '../page'

export default PageRoute.extend({
	queryParams: {
		school: { refreshModel: true },
		group: { refreshModel: true }
	},
	model: function (params) {
		var query=this.filterQuery(params);
		if (params.school!=null){
			query.school=params.school
		}
		if (params.group!=null){
			query.group=params.group
		}
		if (query.order==null){
			query.order=['firstName', 'secondName'];
		}
		return this.store.query('student', query);
	},
	resetController: function (controller, isExiting, transition) {
		this._super(controller, isExiting, transition);
		if (isExiting) {
			// isExiting would be false if only the route's model was changing
			controller.set('school', null);
			controller.set('group', null);
		}
	}
});
