import Ember from 'ember';
import Utils from 'Dashboard/utils/utils';

export default Ember.Service.extend({
	store: Ember.inject.service(),
	i18n: Ember.inject.service(),
	daysWorks: function (){
		return this.get('store').query('days-work',{})
	}.property(),
	patterns: function (){
		return this.get('store').query('pattern', {});
	}.property(),
	warnings: function (){
		return this.get('store').query('warning', {});
	}.property(),
	warningsLevels: function (){
		var i18n=this.get('i18n');
		return [
			Utils.createElement(0,i18n.t("warnings.level.name.0")),
			Utils.createElement(1,i18n.t("warnings.level.name.1")),
			Utils.createElement(2,i18n.t("warnings.level.name.2")),
			Utils.createElement(3,i18n.t("warnings.level.name.3")),
			Utils.createElement(4,i18n.t("warnings.level.name.4"))
		]
	}.property()
});
