import DS from 'ember-data';
import Ember from 'ember';
import localizedHelper from 'Dashboard/utils/load-localized-helpers'

export default DS.Transform.extend({
	deserialize: function (serialized) {
		var ret = [];
		for (var language in serialized) {
			ret.addObject(Ember.create({'lang': language, 'value': serialized[language]}));
		}
		return localizedHelper(ret);
	},

	serialize: function (deserialized) {
		var ret = {};
		deserialized.forEach(function (e) {
			ret[e.lang] = e.value;
		});
		return ret;

	}
});
