import Ember from 'ember';

export default {
	hasRead: function (session, attribute){
		var permissions=session.get(attribute);
		return permissions==="read" || permissions==="write";
	},
	hasWrite: function (session, attribute){
		var permissions=session.get(attribute);
		return permissions==="write";
	},
	compareFormatDay: function (day){
		return  day.getDate()+"-"+ day.getMonth()+"-"+ day.getFullYear();
	},
	dbFormatDay: function (day){
		return day.getFullYear()+"-"+(day.getMonth()+1)+"-"+day.getDate();
	},
	ensurePromise: function(x) {
		return new Ember.RSVP.Promise(function(resolve) {
			resolve(x);
		});
	},
	handleGenericErrors: function (error){
		if (error.responseJSON.error===undefined){
			alert ("Error: Unknown Error");
		} else if (error.responseJSON.error.id===1) {
			alert ("Error: Not found");
		} else if (error.responseJSON.error.id===2){
			alert("Error: user required");
		}
	},
	load: function(file){
		var script=document.createElement("script");
		script.src=file;
		document.head.appendChild(script);
	},
	isValidDate: function (date){
		if (date==null || Object.prototype.toString.call(date) !== "[object Date]" ) {
			return false;
		}
		return !isNaN(date.getTime());
	},
	isValidNumber: function (number){
		return !isNaN(parseFloat(number)) && isFinite(number);
	},
	createElement: function (id, name){
		var obj= Object.create({"id":id, "name":name});
		obj.get=function (key){
			return obj[key];
		};
		return obj;
	},
	trimester: function (date){
		var month=date.getMonth()+1;
		if (month>=9){
			return 1;
		} else if (month<=3){
			return 2;
		} else { // Month from 4 to 8
			return 3;
		}
	}
};