/* jshint node: true */

module.exports = function (environment) {
	var ENV = {
		modulePrefix: 'Dashboard',
		environment: environment,
		baseURL: process.env.BASE_URL,
		locationType: 'auto',
		EmberENV: {
			FEATURES: {
				// Here you can enable experimental features on an ember canary build
				// e.g. 'with-controller': true
			}
		},
		contentSecurityPolicy:{
			'connect-src': process.env.API_HOSTNAME+" http://localhost:4000",
			'style-src': "default-src style-src 'self' 'unsafe-inline'"
		},

		APP: {
			// Here you can pass flags/options to your application instance
			// when it is created
			API_AUTH_NAMESPACE:'api-token',
			API_NAMESPACE:'api',
			API_HOSTNAME: process.env.API_HOSTNAME,
			API_BASE_URL: process.env.API_BASE_URL
		},
		i18n:{
			defaultLocale: process.env.DEFAULT_LANGUAGE
		}
		//userDefault: process.env.DEFAULT_USER,
		//passwordDefault: process.env.DEFAULT_PASSWORD
	};

	if (environment === 'test') {
		// Testem prefers this...
		ENV.baseURL = '/';
		ENV.locationType = 'none';

		// keep test console output quieter
		ENV.APP.LOG_ACTIVE_GENERATION = false;
		ENV.APP.LOG_VIEW_LOOKUPS = false;

		ENV.APP.rootElement = '#ember-testing';
	}

	return ENV;
};
