/* global require, module */

var EmberApp = require('ember-cli/lib/broccoli/ember-app');

module.exports = function(defaults) {
	var app = new EmberApp(defaults, {
		dotEnv: {
			clientAllowedKeys: ['DEFAULT_USER', 'DEFAULT_PASSWORD', 'DEFAULT_LANGUAGE', 'API_HOSTNAME', 'BASE_URL', 'API_BASE_URL'],
			path: {
				development: 'develop.env',
				test: 'test.env',
				localhost: 'localhost.env',
				production: 'localhost.env'
			}
		}
	});

// Use `app.import` to add additional libraries to the generated
// output files.
//
// If you need to use different assets in different
// environments, specify an object as the first parameter. That
// object's keys should be the environment name and the values
// should be the asset to use in that environment.
//
// If the library that you are including contains AMD or ES6
// modules that you would like to import into your application
// please specify an object with the list of modules as keys
// along with the exports of each module as its value.

	app.import('bower_components/bootstrap/dist/css/bootstrap.css');
	app.import('bower_components/bootstrap/dist/js/bootstrap.js');
	app.import('bower_components/moment/moment.js');
	app.import('bower_components/moment/locale/ca.js');
	app.import('bower_components/moment/locale/es.js');
	app.import({
		development: 'bower_components/jqplot/jquery.jqplot.js',
		production: 'bower_components/jqplot/jquery.jqplot.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.barRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.barRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.BezierCurveRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.BezierCurveRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.blockRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.blockRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.bubbleRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.bubbleRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.canvasAxisLabelRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.canvasAxisLabelRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.canvasAxisTickRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.canvasAxisTickRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.canvasOverlay.js',
		production: 'bower_components/jqplot/plugins/jqplot.canvasOverlay.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.canvasTextRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.canvasTextRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.categoryAxisRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.categoryAxisRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.ciParser.js',
		production: 'bower_components/jqplot/plugins/jqplot.ciParser.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.cursor.js',
		production: 'bower_components/jqplot/plugins/jqplot.cursor.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.dateAxisRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.dateAxisRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.donutRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.donutRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.dragable.js',
		production: 'bower_components/jqplot/plugins/jqplot.dragable.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.enhancedLegendRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.enhancedLegendRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.funnelRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.funnelRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.highlighter.js',
		production: 'bower_components/jqplot/plugins/jqplot.highlighter.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.json2.js',
		production: 'bower_components/jqplot/plugins/jqplot.json2.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.logAxisRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.logAxisRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.mekkoAxisRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.mekkoAxisRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.mekkoRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.mekkoRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.meterGaugeRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.meterGaugeRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.mobile.js',
		production: 'bower_components/jqplot/plugins/jqplot.mobile.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.ohlcRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.ohlcRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.pieRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.pieRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.pointLabels.js',
		production: 'bower_components/jqplot/plugins/jqplot.pointLabels.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.pyramidAxisRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.pyramidAxisRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.pyramidGridRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.pyramidGridRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.pyramidRenderer.js',
		production: 'bower_components/jqplot/plugins/jqplot.pyramidRenderer.min.js'
	});
	app.import({
		development: 'bower_components/jqplot/plugins/jqplot.trendline.js',
		production: 'bower_components/jqplot/plugins/jqplot.trendline.min.js'
	});
	app.import('bower_components/jqplot/jquery.jqplot.css');

//app.import('bower_components/jqplot/plugins/*.min.js');

	app.import('bower_components/bootstrap/dist/fonts/glyphicons-halflings-regular.woff', {
		destDir: 'fonts'
	});

	return app.toTree();

};
