import { moduleFor, test } from 'ember-qunit';

moduleFor('controller:pattern-config/form', {
	// Specify the other units that are required for this test.
	// needs: ['controller:foo']
});

function mock_i18n(){
	this.t=function (key, value){
		return key;
	}
}


test('List warnings function', function (assert) {
	var controller = this.subject();
	Ember.run(function () {

		controller.set('model', Ember.Object.create({
			"warnings":["1", "2"]
		}));
		var v=controller.get('listWarnings');
		assert.deepEqual(v, ["1","2"]);
	});
});


test('Check Data validation', function (assert){

	var controller = this.subject();
	controller.set("i18n", new mock_i18n());
	function create_model(){
		var mock_block=Ember.Object.create({"id":"b"});
		return Ember.Object.create({
			"pattern":Ember.Object.create({"id":"p"}),
			"block_edit":mock_block,
			"block":mock_block,
			"level":"l",
			"level_edit":Ember.Object.create({"id":"l"}),
			"lastBlock":"last block",
			"lastLevel":"last level",
			"session":Ember.Object.create({"id":"s"}),
			"workingDays":Ember.Object.create({"id":"d"}),
			"numberSessions":Ember.Object.create({"id":"ns"}),
			"warnings":[]
		});
	}

	controller.set('listWarnings', []);
	var r=controller.checkData(create_model());
	assert.ok(r);
	assert.equal(r.get('lastLevel'), "last level");
	assert.equal(r.get('lastBlock'), "last block");

	var model= create_model();
	model.set('block_edit', Ember.Object.create({"id":"be"}));
	r=controller.checkData(model);
	assert.ok(r);
	assert.equal(r.get('lastLevel'), null);
	assert.equal(r.get('lastBlock'), null);

	model= create_model();
	model.set('level_edit', Ember.Object.create({"id":"be"}));
	r=controller.checkData(model);
	assert.ok(r);
	assert.equal(r.get('lastLevel'), null);
	assert.equal(r.get('lastBlock'), null);

	Ember.run(function (){
		var model = create_model();
		model.set('warnings', ["3", "4"]);
		controller.set('model', model);
		controller.set('listWarnings', ["1","2"]);
		r=controller.checkData(model);
		assert.ok(r);
		assert.deepEqual(r.get('warnings'), ["1","2"]);
	});
});
