import { moduleForModel, test } from 'ember-qunit';
import Ember from 'ember';

moduleForModel('session', 'Unit | Model | session', {
	// Specify the other units that are required for this test.
	needs: ['model:student', 'model:activity', 'model:comment', 'model:session_model', 'model:game']
});

test('it exists', function (assert) {
	var model = this.subject();
	// var store = this.store();
	assert.ok(!!model);
});

test('all_mistakes', function (assert){
	var model = this.subject();
	var store = this.store();
	var mock_activity= function (err){
		return store.createRecord('activity', {'mistakes':err});
	};

	Ember.run(function (){
		model.set('list_activities', [
			mock_activity(0),
			mock_activity(2),
			mock_activity(0)
		]);

		assert.equal(model.get('all_mistakes'), 2);

		model.set('list_activities', [
			mock_activity(3),
			mock_activity(1),
			mock_activity(5)
		]);

		assert.equal(model.get('all_mistakes'), 9);
	});
});
