import { moduleFor, test } from 'ember-qunit';
import Ember from 'ember';

moduleFor('transform:localized-string', 'Unit | Service | localized string', {
	// Specify the other units that are required for this test.
	// needs: ['serializer:foo']
});

test('Deserialization', function (assert) {
	var transform=this.subject();
	var result=transform.deserialize({'es':'Español', 'ca':'Català'});

	assert.equal(result.find(function (e){
		return e.lang==='es';
	}).value, 'Español');
	assert.equal(result.find(function (e){
		return e.lang==='ca';
	}).value, 'Català');
});

test('returned getLanguage', function (assert){
	var transform = this.subject();
	var data=transform.deserialize({'en':'English'});

	assert.deepEqual(data.getLanguage('en'), {'lang':'en', 'value':'English'});
	assert.deepEqual(data.getLanguage('es'), {'lang':'es', 'value':''});
	assert.equal(data.length,2);

});

test ('Serialization', function (assert){
	var es=Ember.create({'lang':'es', 'value':'Español'});
	var ca=Ember.create({'lang':'ca', value:'Català'});
	var transform = this.subject();

	assert.deepEqual(transform.serialize([ca, es]), {'es':'Español', 'ca':'Català'});
});