import requiredFields from '../../../utils/required-fields';
import { module, test } from 'qunit';
import Ember from 'ember';

module('Unit | Utility | required fields',{
	store: Ember.inject.service()
});

var i18nMock={
	t: function (tag, fields){
		return tag+" > "+JSON.stringify(fields);
	}
};

// Replace this with your real tests.
test('Check errors', function (assert) {
	var object={
		get: function (key){
			if (key==="exist"){
				return "ok"
			}
		}
	};
	var errors = requiredFields(i18nMock, object, {"exist":"field-name"});
	assert.equal(errors.length,0, "The field was ok");

	errors=requiredFields(i18nMock, object, {"nonexist":"field-name-non-exist"});
	assert.equal(errors.length,1, "It doesn't exists");

	errors=requiredFields(i18nMock, object, {"exist":"field-name", "nonexist":"field-name-non-exist"}, 3);
	assert.equal(errors.length,2, "Should have a minimum length check");
});
