import requiredSelectFields from '../../../utils/required-select-fields';
import { module, test } from 'qunit';

module('Unit | Utility | required select fields', {
	store:Ember.inject.service()
});

var i18nMock={
	t: function (tag, fields){
		return tag+" > "+JSON.stringify(fields);
	}
};


// Replace this with your real tests.
test('it works', function (assert) {
	var result = requiredSelectFields();
	assert.ok(result);
});

// Replace this with your real tests.
test('Check errors', function (assert) {
	var object = {
		get: function (key) {
			if (key === "exist") {
				return {
					get: function (key){
						if (key ==="id"){
							return "pong";
						}
					}
				}
			} else if (key==="isnull"){
				return {
					get: function (key){
						if (key === "id"){
							return undefined;
						}
					}
				}
			}
		}
	};

	var errors = requiredSelectFields(i18nMock, object, {"exist": "field-name"});
	assert.equal(errors.length, 0, "The field was ok");

	errors = requiredSelectFields(i18nMock, object, {"nonexist": "field-name-non-exist"});
	assert.equal(errors.length, 1, "It doesn't exists");

	errors = requiredSelectFields(i18nMock, object, {"exist": "field-name", "isnull": "field-name-is-null"});
	assert.equal(errors.length, 1, "Should return error for the undefined");
});